from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDesktop(XInterface, Protocol):
    def terminate(self) -> bool: ...
    def addTerminateListener(self, Listener: XTerminateListener) -> None: ...
    def removeTerminateListener(self, Listener: XTerminateListener) -> None: ...
    def getComponents(self) -> XEnumerationAccess: ...
    def getCurrentComponent(self) -> XComponent: ...
    def getCurrentFrame(self) -> XFrame: ...
